Package org.apache.sling.discovery.base.connectors.ping

# Class ConnectorRegistryImpl

java.lang.Object
org.apache.sling.discovery.base.connectors.ping.ConnectorRegistryImpl

All Implemented Interfaces:
  `ConnectorRegistry`

public class ConnectorRegistryImpl extends Object implements ConnectorRegistry
Default implementation of the ConnectorRegistry which keeps a list of outgoing connectors and is capable of pinging them.

## Constructor Summary

Constructors
Constructor
Description
`ConnectorRegistryImpl()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`activate(org.osgi.framework.BundleContext context)`
`protected void`
`deactivate()`
`Collection<TopologyConnectorClientInformation>`
`listOutgoingConnectors()`
Lists all outgoing topology connectors
`void`
`pingOutgoingConnectors(boolean force)`
ping all outgoing topology connectors
`TopologyConnectorClientInformation`
`registerOutgoingConnector(ClusterViewService clusterViewService, URL connectorUrl)`
Register an outgoing topology connector using the provided endpoint url
`static ConnectorRegistry`
`testConstructor(AnnouncementRegistry announcementRegistry, BaseConfig config)`
`boolean`
`unregisterOutgoingConnector(String id)`
Unregister an outgoing topology connector identified by the given (connector) id

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConnectorRegistryImpl

public ConnectorRegistryImpl()

## Method Details

### testConstructor

public static ConnectorRegistry testConstructor(AnnouncementRegistry announcementRegistry, BaseConfig config)

### activate

protected void activate(org.osgi.framework.BundleContext context)

### deactivate

protected void deactivate()

### registerOutgoingConnector

public TopologyConnectorClientInformation registerOutgoingConnector(ClusterViewService clusterViewService, URL connectorUrl)
Description copied from interface: `ConnectorRegistry`
Register an outgoing topology connector using the provided endpoint url

Specified by:
  `registerOutgoingConnector` in interface `ConnectorRegistry`

### listOutgoingConnectors

public Collection<TopologyConnectorClientInformation> listOutgoingConnectors()
Description copied from interface: `ConnectorRegistry`
Lists all outgoing topology connectors

Specified by:
  `listOutgoingConnectors` in interface `ConnectorRegistry`

### unregisterOutgoingConnector

public boolean unregisterOutgoingConnector(String id)
Description copied from interface: `ConnectorRegistry`
Unregister an outgoing topology connector identified by the given (connector) id

Specified by:
  `unregisterOutgoingConnector` in interface `ConnectorRegistry`

### pingOutgoingConnectors

public void pingOutgoingConnectors(boolean force)
Description copied from interface: `ConnectorRegistry`
ping all outgoing topology connectors

Specified by:
  `pingOutgoingConnectors` in interface `ConnectorRegistry`